%global srcname dasbus

Name:           python-%{srcname}
Version:        1.6
Release:        2
Summary:        DBus library in Python 3

License:        LGPLv2+
URL:            https://pypi.python.org/pypi/dasbus
Source0:        https://codeload.github.com/rhinstaller/%{srcname}/tar.gz/v%{version}#/%{srcname}-%{version}.tar.gz

Patch0001:      backport-Raise-TimeoutError-if-a-DBus-call-times-out.patch

BuildArch:      noarch

%global _description %{expand:
Dasbus is a DBus library written in Python 3, based on
GLib and inspired by pydbus. It is designed to be easy
to use and extend.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools
Requires:       python3-gobject-base
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Fri Oct 21 2022 zhouyihang <zhouyihang3@h-partners.com> - 1.6-2
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: Raise TimeoutError if a DBus call times out

* Sat Dec 04 2021 xihaochen <xihaochen@huawei.com> - 1.6-1
- Type: requirements
- ID: NA
- SUG: NA
- DESC: update python-dasbus to 1.6

* Wed Sep 30 2020 lunankun <lunankun@huawei.com> - 1.3-2
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: fix Source0 url

* Tue Jun 23 2020 fengtao <fengtao40@huawei.com> - 1.3-1
- package init
